Skip to content
Snippets Groups Projects
Commit 3b204ae1 authored by Aleksandr Vodianov's avatar Aleksandr Vodianov
Browse files

remove deb pkges with dbgsym

parent a473fdaf
No related branches found
No related tags found
No related merge requests found
...@@ -28,7 +28,11 @@ error=0 ...@@ -28,7 +28,11 @@ error=0
#2DO: add trap command to clean the sources on exit. #2DO: add trap command to clean the sources on exit.
trap cleanup SIGINT trap cleanup SIGINT
codename=$(lsb_release -a | grep Codename | cut -f2) codename=$(lsb_release -a | grep Codename | cut -f2)
dpkg-buildpackage -J -us --changes-option=--build=any -uc && mkdir -p build && \ dpkg-buildpackage -J -us --changes-option=--build=any -uc
if [[ $(ls .. | grep 'dbgsym') != "" ]]; then
rm -f *dbgsym*
fi
mkdir -p build && \
for filepkg in $(ls .. | grep .deb | grep -v $codename); do for filepkg in $(ls .. | grep .deb | grep -v $codename); do
mv ../$filepkg build/$filepkg mv ../$filepkg build/$filepkg
done || error=$? done || error=$?
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment